summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2022-03-11 17:17:27 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2022-03-18 12:21:45 +0100
commitd79d6fc45a26494ee6c1d0c6b7b890429a90b1e0 (patch)
tree057c86dfb2684587ac45745fb49b730d308ebdc8
parent5639d162738bad79031fe3673f77e035e03dbeff (diff)
downloadptxdist-d79d6fc45a26494ee6c1d0c6b7b890429a90b1e0.tar.gz
ptxdist-d79d6fc45a26494ee6c1d0c6b7b890429a90b1e0.tar.xz
ptxd_make_world_init: split out PTXDIST_LAYERS definition
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
-rw-r--r--scripts/lib/ptxd_make_world_common.sh21
1 files changed, 13 insertions, 8 deletions
diff --git a/scripts/lib/ptxd_make_world_common.sh b/scripts/lib/ptxd_make_world_common.sh
index 8b359a81b..d2d8a247d 100644
--- a/scripts/lib/ptxd_make_world_common.sh
+++ b/scripts/lib/ptxd_make_world_common.sh
@@ -184,6 +184,17 @@ ptxd_make_world_env_init() {
}
export -f ptxd_make_world_env_init
+ptxd_make_layer_init() {
+ # PTXDIST_LAYERS gets lost in 'make' so redefine it here
+ local orig_IFS="${IFS}"
+ IFS=:
+ PTXDIST_LAYERS=( ${PTXDIST_PATH_LAYERS} )
+ IFS="${orig_IFS}"
+ export PTXDIST_LAYERS
+}
+export -f ptxd_make_layer_init
+
+
#
# ptxd_make_world_init()
#
@@ -198,14 +209,8 @@ export -f ptxd_make_world_env_init
#
ptxd_make_world_init() {
ptxd_make_world_env_init &&
- ptxd_make_world_init_sanity_check || return
-
- # PTXDIST_LAYERS gets lost in 'make' so redefine it here
- local orig_IFS="${IFS}"
- IFS=:
- PTXDIST_LAYERS=( ${PTXDIST_PATH_LAYERS} )
- IFS="${orig_IFS}"
- export PTXDIST_LAYERS
+ ptxd_make_world_init_sanity_check &&
+ ptxd_make_layer_init || return
# make sure any make calls appear to be the toplevel make
unset MAKELEVEL